## net.dontdrinkandroot.wicket.model
Class EnumLowerCaseNameModel

    java.lang.Object
      net.dontdrinkandroot.wicket.model.AbstractChainedModel<java.lang.Enum<?>,java.lang.String>
          net.dontdrinkandroot.wicket.model.EnumLowerCaseNameModel

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<java.lang.String>, org.apache.wicket.util.io.IClusterable

    public class EnumLowerCaseNameModel

extends AbstractChainedModel<java.lang.Enum<?>,java.lang.String>

Returns the name of an enum Model in lower case or null if not set.

See Also:
  Serialized Form

Constructor Summary
`EnumLowerCaseNameModel(org.apache.wicket.model.IModel<? extends java.lang.Enum<?>> parent)`

Method Summary
`java.lang.String` `getObject()`

Methods inherited from class net.dontdrinkandroot.wicket.model.AbstractChainedModel
`detach, getParent, getParentObject, setObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumLowerCaseNameModel

    public EnumLowerCaseNameModel(org.apache.wicket.model.IModel<? extends java.lang.Enum<?>> parent)

Method Detail

### getObject

    public java.lang.String getObject()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.